<?php
	//Set the ticks
	declare(ticks = 1);
	
	//Fork the current process
	$processID = pcntl_fork();
	
	//Check to make sure if forked ok.
	if ( $processID == -1 ) {
		echo "\n Error:  The process failed to fork. \n";
	} else if ( $processID ) {
		//This is the parent process.
		exit;
	} else {
		//We're now in the child process.
	}
	
	//Now, we detach from the terminal window, so that we stay alive when
	//it is closed.
	if ( posix_setsid() == -1 ) {
		echo "\n Error: Unable to detach from the terminal window. \n";
	}
	
	//Get out process id now that we've detached from the window.
	$posixProcessID = posix_getpid();
	
	//Create a new file with the process id in it.
	$filePointer = fopen( "/var/run/phpprocess.pid" , "w" );
	fwrite( $filePointer , $posixProcessID );
	fclose( $filePointer );
	
	//Now, do something forever.
	while (true) {
		$x = 1 + 1;
		sleep(10);
	}
?>
